View Issue Details

IDProjectCategoryView StatusLast Update
0004327PathBugpublic2020-10-12 21:30
Reporterdubstar_04 Assigned Tosliptonic  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19 
Summary0004327: [Path] - Deburr operation errors if the toolbit doesnt have a FlatRadius attribute
DescriptionDeburr operation errors if the toolbit doesnt have a FlatRadius attribute. The operation should display a clear warning if the tool doesnt have the correct attributes.
Steps To Reproducecreate a deburr operation and set a toolbit as the selected tool. press apply. note the error in the report view.
TagsNo tags attached.
FreeCAD Information<!--ATTENTION:
COMPLETELY ERASE THIS AFTER PASTING YOUR
Help > About FreeCAD > Copy to clipboard
NOTE: just the snippet alone will do without anything else included.
The ticket will not be submitted without it.
-->

Activities

sliptonic

2020-10-12 21:18

manager   ~0014836

PR 0003941 now checks for appropriate tool attributes. Works with both legacy and toolbits.

sliptonic

2020-10-12 21:30

manager   ~0014837

Fix committed to master branch.

Related Changesets

FreeCAD: master b5f37f06

2020-10-08 02:28:17

sliptonic

Details Diff
make deburr check for tool attributes fixes 0004327 Affected Issues
0004327
mod - src/Mod/Path/PathScripts/PathDeburr.py Diff File

FreeCAD: master ed61873b

2020-10-08 03:50:00

sliptonic

Details Diff
make deburr ignore non-vertical faces
fixes 0004327
Affected Issues
0004327
mod - src/Mod/Path/PathScripts/PathDeburrGui.py Diff File
mod - src/Mod/Path/PathScripts/PathSelection.py Diff File

Issue History

Date Modified Username Field Change
2020-04-28 15:05 dubstar_04 New Issue
2020-07-05 16:50 abdullah Project FreeCAD => Path
2020-10-12 21:18 sliptonic Assigned To => sliptonic
2020-10-12 21:18 sliptonic Status new => closed
2020-10-12 21:18 sliptonic Resolution open => fixed
2020-10-12 21:18 sliptonic Note Added: 0014836
2020-10-12 21:30 sliptonic Changeset attached => FreeCAD master ed61873b
2020-10-12 21:30 sliptonic Changeset attached => FreeCAD master b5f37f06
2020-10-12 21:30 sliptonic Note Added: 0014837